//==========================================================
//  HEADER
//==========================================================
  
  // HEADER FILE
  #include  "header.h"

//==========================================================
//  SETUP
//==========================================================

  // SETUP
  void setup() {
    
    Serial.begin(115200);
    JY.setPin(X_AXIS_PIN, Y_AXIS_PIN, SWITCH_PIN);
    JY.begin();
    // StartWireless();  // Initialize ESP-NOW

  }

//==========================================================
//  LOOP
//==========================================================

  // LOOP
  void loop() {
    
    JD.X = map(average(JY.readX(), 10), 0, 4095, 0, 255);  // Map to 0-255
    JD.Y = map(average(JY.readY(), 10), 0, 4095, 0, 255);  // Map to 0-255
    JD.B = JY.readB();

    Serial.print(JD.X); Serial.print(" "); 
    Serial.print(JD.Y); Serial.print(" "); 
    Serial.println(!JD.B);

    // SendData(JD);  // Uncomment to send data
    delay(20);

  }

//==========================================================
//  END
//==========================================================