class Joystic {

  private:

    uint8_t x_pin, y_pin, b_pin;

  public:

    Joystic() { }

    Joystic(uint8_t x, uint8_t y, uint8_t b) {
      setPin(x, y, b);
    }

    void setPin(uint8_t x, uint8_t y, uint8_t b) {
      x_pin = x;
      y_pin = y;
      b_pin = b;
    }

    void begin() {
      pinMode(x_pin, INPUT);
      pinMode(y_pin, INPUT);
      pinMode(b_pin, INPUT_PULLUP);
    }

    unsigned int readX() { return analogRead(x_pin); }
    unsigned int readY() { return analogRead(y_pin); }
    bool readB() { return !digitalRead(b_pin); }
    
};
